+1 800 256 3608 (toll-free in North America) or +49 7531 90 60 10| service@combit.com

FileVersion unverträglich?


(Guest) #1

Hallo zusammen,

ich habe ein Problem mit einer Software, also kein Entwicklerproblem.
Folgendes Szenario:
Ein Programm erstellt über List & Label seine Belege. (soviel habe ich schon rausgefunden)
Angeschlossen ist eine Webseite mit Login, wo Kunden diese Belege aufrufen können.
In dieser Webseite wird eine Funktion aufgerufen, die aus dem Programm mittels L&L den angefragten Beleg über eine Vorlage (.ntr) als pdf erstellt.

Das Problem ist jetzt, dass nur alte Vorlagen funktionieren.
Anders gesagt: Ändere ich im (im Programm integrierten) Designer (Version 12) die Vorlage, kann die pdf Datei nicht mehr erstellt werden.
Fehlermeldung:
Die Projektdatei ist passwortgeschützt oder hat ein ungültiges Format.

Ich habe rausgefunden, dass die FileVersion, die funktionert, die 4 ist. (also recht alt)
Jede andere FileVersion führt zu o.g. Fehler.
Kann man die FileVersion vorgeben, sodass andere Vorlagen versagen?
Kann ich das wieder zum laufen kriegen? (es hat vor einigen Jahren schon mal funktionert)
Oder kann man gar aktuelle Vorlagen konvertieren, damit sie kompatibel sind?

Gruß Felix


(Guest) #2

Hallo,
neue LL Versionen können nach meiner Erfahrung meist auch recht alte Versionen noch einwandfrei laden und nutzen. Damit das bei Dir aber funktioniert, müsste der Hersteller des “Programms” auf der Website aber eine neuere List & Label Version in sein Programm integrieren, als Endanwender kannst Du nix machen.

Gruss,
Harry


(Guest) #3

Ah, ok. Danke für die Info.
Also kann man über die Funktion, die das Programm aufruft, eine Version verlangen?
Weil die im Programm integrierte Version kommt mit aktuellen Vorlagen zurecht.
Nur der Aufruf über die Funktion in der Webseite scheitert.
D.h. wenn die Funktion Version 9 verlangt, kann auch Version 12 nicht benutzt werden?

Grüße


(Guest) #4

Neuere Versionen können i.A. ältere Versionen lesen.

Andersrum wird’s zu einem Problem, d.h. wenn Reports mit einer neueren Version erstellt werden, als sie gedruckt werden sollen.

Paulchen